package com.jakubu9333.grammarManager.config;

import com.jakubu9333.grammarManager.dao.XmlDataRepo;
import org.basex.api.client.ClientSession;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Profile;

import java.io.IOException;

/**
 * @author Jakub Uhlarik
 */

@Configuration
public class RepoTestConfig {

    @Bean
    @Profile("test")
    @Autowired
    public XmlDataRepo testConfig(ClientSession session) throws IOException {
        return new XmlDataRepo(session,"testDB");
    }
}
